[perl-ExtUtils-Typemaps-Default] New upstream release 1.05 (#1039710)

Miro Hrončok churchyard at fedoraproject.org
Wed Dec 11 10:27:26 UTC 2013


commit 36884546ba1711bf567b8e69c7994c65d1923c92
Author: Miro Hrončok <miro at hroncok.cz>
Date:   Wed Dec 11 11:27:13 2013 +0100

    New upstream release 1.05 (#1039710)

 .gitignore                          |    1 +
 perl-ExtUtils-Typemaps-Default.spec |   14 +++++++++++---
 sources                             |    2 +-
 3 files changed, 13 insertions(+), 4 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 84e4670..dec13a7 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,3 @@
 /ExtUtils-Typemaps-Default-1.01.tar.gz
 /ExtUtils-Typemaps-Default-1.04.tar.gz
+/ExtUtils-Typemaps-Default-1.05.tar.gz
diff --git a/perl-ExtUtils-Typemaps-Default.spec b/perl-ExtUtils-Typemaps-Default.spec
index 1b81ba4..662cd5f 100644
--- a/perl-ExtUtils-Typemaps-Default.spec
+++ b/perl-ExtUtils-Typemaps-Default.spec
@@ -1,5 +1,5 @@
 Name:           perl-ExtUtils-Typemaps-Default
-Version:        1.04
+Version:        1.05
 Release:        1%{?dist}
 Summary:        Set of useful typemaps
 License:        GPL+ or Artistic
@@ -7,10 +7,11 @@ Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/ExtUtils-Typemaps-Default/
 Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/ExtUtils-Typemaps-Default-%{version}.tar.gz
 BuildArch:      noarch
-BuildRequires:  perl(ExtUtils::Typemaps) >= 1.00
+# temporary fix until more recent version is available
+BuildRequires:  perl(ExtUtils::Typemaps) >= 3.18-292
 BuildRequires:  perl(Module::Build)
 BuildRequires:  perl(Test::More)
-Requires:       perl(ExtUtils::Typemaps) >= 1.00
+Requires:       perl(ExtUtils::Typemaps) >= 3.18-292
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 # Filtering unversioned requires
@@ -30,6 +31,9 @@ ExtUtils::Typemaps::Basic
 %prep
 %setup -q -n ExtUtils-Typemaps-Default-%{version}
 
+# this is fixed in BuildRequired version of ExtUtils::Typemap 3.18-292
+sed -i 's/3.18_03/3.18/' Build.PL
+
 %build
 %{__perl} Build.PL installdirs=vendor
 ./Build
@@ -48,6 +52,10 @@ ExtUtils::Typemaps::Basic
 %{_mandir}/man3/*
 
 %changelog
+* Wed Dec 11 2013 Miro Hrončok <mhroncok at redhat.com> - 1.05-1
+- New upstream release 1.05 (#1039710)
+- Temporarily (build)require ExtUtils::Typemaps >= 3.18-292, patch Build.PL to accept it
+
 * Wed Aug 28 2013 Miro Hrončok <mhroncok at redhat.com> - 1.04-1
 - New upstream release
 
diff --git a/sources b/sources
index ceba54e..2b0ad12 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-d76a8c53e38e648088b5f5f8df1b2fac  ExtUtils-Typemaps-Default-1.04.tar.gz
+346c127faf7b74bc4cfc29fa3e8e6f8d  ExtUtils-Typemaps-Default-1.05.tar.gz


More information about the scm-commits mailing list